Colt 1.2.0

## cern.colt.matrix.impl
Class AbstractMatrix3D

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.matrix.impl.AbstractMatrix
              cern.colt.matrix.impl.AbstractMatrix3D

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  DoubleMatrix3D, ObjectMatrix3D

    public abstract class AbstractMatrix3D

extends AbstractMatrix

Abstract base class for 3-d matrices holding objects or primitive data types such as `int`, `double`, etc. First see the package summary and javadoc tree view to get the broad picture.

Note that this implementation is not synchronized.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Method Summary
`void` `checkShape(AbstractMatrix3D B)` Sanity check for operations requiring two matrices with the same number of slices, rows and columns.
`void` `checkShape(AbstractMatrix3D B, AbstractMatrix3D C)` Sanity check for operations requiring matrices with the same number of slices, rows and columns.
`int` `columns()` Returns the number of columns.
`int` `rows()` Returns the number of rows.
`int` `size()` Returns the number of cells which is `slices()*rows()*columns()`.
`int` `slices()` Returns the number of slices.
`String` `toStringShort()` Returns a string representation of the receiver's shape.

Methods inherited from class cern.colt.matrix.impl.AbstractMatrix
`ensureCapacity, trimToSize`

Methods inherited from class cern.colt.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkShape

    public void checkShape(AbstractMatrix3D B)

  Sanity check for operations requiring two matrices with the same number of slices, rows and columns.

  Throws:
    `IllegalArgumentException` - if `slices() != B.slices() || rows() != B.rows() || columns() != B.columns()`.

### checkShape

    public void checkShape(AbstractMatrix3D B,
                           AbstractMatrix3D C)

  Sanity check for operations requiring matrices with the same number of slices, rows and columns.

  Throws:
    `IllegalArgumentException` - if `slices() != B.slices() || rows() != B.rows() || columns() != B.columns() || slices() != C.slices() || rows() != C.rows() || columns() != C.columns()`.

### columns

    public int columns()

  Returns the number of columns.

### rows

    public int rows()

  Returns the number of rows.

### size

    public int size()

  Returns the number of cells which is `slices()*rows()*columns()`.

  Specified by:
    `size` in class `AbstractMatrix`

### slices

    public int slices()

  Returns the number of slices.

### toStringShort

    public String toStringShort()

  Returns a string representation of the receiver's shape.

Colt 1.2.0

Jump to the Colt Homepage